.logo{
    width: 200px;
    height: 100px;
    object-fit: cover;
}

.icon{
    color: #ddd;
}

.hero{
    height: 110vh;
    background-image: url(../asserts/001.png);
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    background-color: rgba(0, 0, 0, 0.5);
    background-blend-mode: overlay;
    display: flex;
    flex-direction: column;
}

.header{
    padding: 10px 10px;
}

.nav{
    display: flex;
    justify-content: space-between;
    font-size: 1rem;
}

.logo-text{
    font-weight: 600;
    color: #fff;
    font-family: "Ubuntu Mono", monospace;
}

.twitter{
    cursor: pointer;
}

.twitter:hover{
    transform: scale(1.2);
}

.hero-texts{
    text-align: center;
    padding: 20px;
    flex: 1;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.hero-text{
    font-weight: 700;
    color: #fff;
    font-family: "Ubuntu Mono", monospace;
    font-size: 2rem;
}

.hero-sub-texts{
    margin-top: 1rem;
    display: flex;
    gap: 1rem;
    justify-content: center;
    text-align: center;
    color: #ddd;
    font-family: "Ubuntu Mono", monospace;
}

.about-us{
    font-family: "Inter", sans-serif;
    background-color: var(--faint-bg);
    padding: 6rem 0;
    margin-bottom: 6rem;
}

.animation-demo{
    margin-top: 2rem;
}

.animation-demo-animation{
    height: 100vh;
    width: 100%;
}


.projects{
}

.projects-display{
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 20px;
    padding: 20px;
}

.project{
    /* width: 20%; */
    flex: 1;
    max-width: 280px;
    padding: 20px;
    background-color: var(--faint-bg);
    border-radius: 10px;
    border: 1px solid var(--border-color);
}

.project-image{
    width: 40%;
    object-fit: fill;
    border-radius: 8px;
}

.project-details{
    margin-top: 20px;
}

.project-name{}

.project-description{
    margin-top: 10px;
}

.project-link{
    text-decoration: none;
}

.project-btn{
    margin-top: 20px;
    padding: 10px 20px;
    cursor: pointer;
}

.projects-sidenote{
    background-color: #e6e6e65b;
    width: 40%;
    margin: 0 auto;
    padding: 20px;
    border-radius: 10px;
}

.mascots{
    background-color: var(--dark-bg);
    color: #fff;
    padding: 50px 10px;
}

.mascots-display{
    display: flex;
    flex-wrap: wrap;
    justify-content: space-evenly;
    gap: 20px;
}

.mascot{
    width: 400px;
    position: relative
}

.mascot-image{
    width: 100%;
    height: 550px;
    object-fit: cover;
    border-radius: 5px;
}

.mascot-name{
    position: absolute;
    bottom: 0;
    padding: 20px;
    color: #fff;
}

.grp-pic{
    width: 100%;
}

.footer{
    background-color: black;
    text-align: center;
    padding: 20px;
}

.footer-img{
    width: 80px;
}


@media screen and (max-width: 650px) {
    .hero-text{}
    .hero-texts{}

    .projects-display{flex-direction: column; align-items: center;}
    .project{flex:1;}
    .projects-sidenote{width: 85%;}

    .mascots-display{
        padding: 10px;
        flex-direction: column;
        align-items: center;
        gap: 20px;
    }

    .mascot{
        width: 100%;
    }
}